Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

The fglrx-updates package in 13.04 contains fglrx 9.1.11. For some reason, this driver is not nearly as good for certain OpenCL work as the 9.0.2 driver found in fglrx-updates for Ubuntu 12.04 and 12.10.

How might I go about installing fglrx 9.0.2 on Ubuntu 13.04?

Any reason why I can not or should not?

I could certainly go back to 12.04 LTS, but it would be nice to stay on 13.04.

share|improve this question
    
you can search for the package you want from here: packages.ubuntu.com search for it in lucid or precise , download it and install it manually. thanks. –  M.HannySabbagh May 13 '13 at 14:24

1 Answer 1

I would purge the current driver and alter my sources.list to use quantal
sudo sed -i 's/raring/quantal/' /etc/apt/sources.list;sudo apt-get update
then install the driver you want and what ever other quantal stuff you want
then switch back to raring
sudo sed -i 's/quantal/raring/' /etc/apt/sources.list;sudo apt-get update
then lock the driver in synaptic
then lock it in dpkg
echo $MY_PACKAGE_NAME_HERE hold | dpkg --set-selections
I think this would easier than downloading the debs and then hunting down all of the dependencies
You may have to downgrade Xorg to install older AMD drivers and have them work

share|improve this answer
    
The fglrx-updates package from quantel appears not be compatible out of the box, and the driver is not loaded into kernel. I'm sure this can be worked around, but I'll just go back to 12.04 for now. Thanks anyway! –  Roy May 14 '13 at 7:01

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.